Infra: Install terraform
[csit.git] / resources / libraries / bash / function / terraform.sh
index 209227a..23da8ae 100644 (file)
@@ -75,13 +75,27 @@ function terraform_init () {
     set -exuo pipefail
 
     if ! installed terraform; then
-        die "Please install terraform!"
+        apt update -y
+        apt install -y terraform
+        #die "Please install terraform!"
     fi
 
     pushd "${CSIT_DIR}"/fdio.infra.terraform || die "Pushd failed!"
     pushd "${NODENESS}_${FLAVOR}_c5n" || die "Pushd failed!"
+
+    plugin_url="https://github.com/radekg/terraform-provisioner-ansible/"
+    plugin_url+="releases/download/v2.5.0/"
+    plugin_url+="terraform-provisioner-ansible-linux-amd64_v2.5.0"
+    plugin_dir="${HOME}/.terraform.d/plugins/"
+    plugin_path+="${plugin_dir}terraform-provisioner-ansible_v2.5.0"
+
+    mkdir -p "${plugin_dir}" || die "Failed to create dir!"
+    wget -O "${plugin_path}" "${plugin_url}" || die "Failed to download plugin!"
+    chmod +x "${plugin_path}" || die "Failed to add execute rights!"
+
     export TF_LOG=INFO
     terraform init || die "Failed to run terraform init!"
+
     popd || die "Popd failed!"
     popd || die "Popd failed!"
 }